Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/vouchers/{code}/transactions/export \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"parameters": {
"order": "-created_at",
"fields": [
"id",
"type",
"source_id",
"reason",
"balance",
"amount",
"created_at",
"voucher_id",
"campaign_id",
"details",
"source"
]
}
}
'{
"id": "exp_ARi2UbRjgfrHQJoVcKFrBUgA",
"object": "export",
"created_at": "2023-05-16T08:30:21.496Z",
"status": "SCHEDULED",
"channel": "API",
"exported_object": "voucher_transactions",
"parameters": {
"order": "-created_at",
"fields": [
"id",
"type",
"source_id",
"reason",
"balance",
"amount",
"created_at",
"voucher_id",
"campaign_id",
"details",
"related_transaction_id",
"source"
],
"filters": {
"voucher_id": {
"conditions": {
"$in": [
"HRwc0oHz"
]
}
}
}
},
"result": null,
"user_id": null
}Export transactions that are associated with credit movements on a gift card or loyalty card.
| Field | Definition | Example Export |
|---|---|---|
| id | Unique transaction ID. | vtx_0cb7811f1c07765800 |
| type | Transaction type. | - CREDITS_REMOVAL - CREDITS_ADDITION - CREDITS_REFUND - CREDITS_REDEMPTION - POINTS_ACCRUAL - POINTS_REDEMPTION- POINTS_REFUND- POINTS_ADDITION- POINTS_REMOVAL- POINTS_EXPIRATION- POINTS_TRANSFER_IN- POINTS_TRANSFER_OUT |
| source_id | Unique transaction source ID. | 8638 |
| reason | Contains the reason for the transaction if one was included originally. | |
| balance | The gift card or loyalty card balance after the transaction. | |
| amount | The amount of gift card or loyalty card credits being allocated during the transaction. This value can either be negative or positive depending on the nature of the transaction. | |
| created_at | Timestamp in ISO 8601 format representing the date and time when the transaction was created. | 2022-03-09T09:16:32.521Z |
| voucher_id | Unique Voucher ID. | v_dky7ksKfPX50Wb2Bxvcoeb1xT20b6tcp |
| campaign_id | Parent campaign ID. | camp_FNYR4jhqZBM9xTptxDGgeNBV |
| source | Channel through which the transaction was initiated. | API |
| details | More detailed information stored in the form of a JSON. | Provides more details related to the transaction in the form of an object. |
| related_transaction_id | Unique transaction ID related to a receiver/donor card in the case of a points transfer from/to another card. | vtx_0c9afe802593b34b80 |
curl --request POST \
--url https://{cluster}.voucherify.io/v1/vouchers/{code}/transactions/export \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"parameters": {
"order": "-created_at",
"fields": [
"id",
"type",
"source_id",
"reason",
"balance",
"amount",
"created_at",
"voucher_id",
"campaign_id",
"details",
"source"
]
}
}
'{
"id": "exp_ARi2UbRjgfrHQJoVcKFrBUgA",
"object": "export",
"created_at": "2023-05-16T08:30:21.496Z",
"status": "SCHEDULED",
"channel": "API",
"exported_object": "voucher_transactions",
"parameters": {
"order": "-created_at",
"fields": [
"id",
"type",
"source_id",
"reason",
"balance",
"amount",
"created_at",
"voucher_id",
"campaign_id",
"details",
"related_transaction_id",
"source"
],
"filters": {
"voucher_id": {
"conditions": {
"$in": [
"HRwc0oHz"
]
}
}
}
},
"result": null,
"user_id": null
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
A code that identifies the voucher or a unique voucher ID assigned by Voucherify, i.e. v_TzD19aeNiqGc9LWciMWknyEZT8IW7u4u.
"2CpRCE2c"
Specify the parameters for the camapign transaction export.
Request body schema for POST v1/vouchers/transactions/export.
Contains the parameters that define the data to be exported.
Show child attributes
Returns an export object.
Response body schema for POST v1/vouchers/{code}/transactions/export.
Unique export ID.
"exp_FFfp9o7daWuJqJCKp5xqqli4"
The type of object being represented. This object stores information about the export.
export Timestamp representing the date and time when the export was scheduled in ISO 8601 format.
"2022-04-28T11:23:20.922Z"
Status of the export. Informs you whether the export has already been completed, i.e. indicates whether the file containing the exported data has been generated.
SCHEDULED The channel through which the export was triggered.
The type of exported object.
voucher_transactions List of available fields and filters that can be exported with gift card or loyalty card transactions along with the sorting order of the returned data.
Show child attributes
Contains the URL of the CSV file.
Show child attributes
Identifies the specific user who initiated the export through the Voucherify Dashboard; returned when the channel value is WEBSITE.
"user_g24UoRO3Caxu7FCT4n5tpYEa3zUG0FrH"
Was this page helpful?